

/* mymemory.h */


/*------------------------------------------------------------------------
 * my-library for the basic dynamic memory allocation
 *------------------------------------------------------------------------
 */


/*----------------------------------------------------------------------*/

#ifndef MYMEMORY_H
#define MYMEMORY_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"

/*----------------------------------------------------------------------*/


tpVOID pvMemoryAlloc      (tCOUNT cnSize);
tpVOID pvMemoryFree       (tpVOID pvMem);

tCOUNT cnMemoryAllocCount (tVOID);
tCOUNT cnMemoryFreeCount  (tVOID);


/*----------------------------------------------------------------------*/


#define pvMemoryAllocArray(TYPE,cnN) ( pvMemoryAlloc(sizeof(t ## TYPE) * (cnN)) )
#define pvMemoryAllocObject(TYPE)    ( pvMemoryAlloc(sizeof(t ## TYPE)) )

#define cnMemorySizeofArray(TYPE,cnN) ( sizeof(t ## TYPE) * (cnN) )
#define cnMemorySizeofObject(TYPE)    ( sizeof(t ## TYPE) )


/*----------------------------------------------------------------------*/

#endif
