

/* statgame.h */


/*------------------------------------------------------------------------
 * Solitaire field statistics: Game
 *------------------------------------------------------------------------
 */


/*
 * StatGame[Stones]->StatStne[SymType]->StatSymm[All|Nrm]->StatTree
 *
 * Range checking is done with assert.
 */


/*----------------------------------------------------------------------*/

#ifndef STATGAME_H
#define STATGAME_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"
#include "field.h"

/*----------------------------------------------------------------------*/


typedef struct s_STATGAME *tpsSTATGAME;
typedef tpsSTATGAME       *tppsSTATGAME;

/*---------------------------------------------*/

tpsSTATGAME psStatGameCreate   (tVOID);
tpsSTATGAME psStatGameDestroy  (tpsSTATGAME psGame);
tpsSTATGAME psStatGameMemUsage (tpsSTATGAME psGame, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID       vStatGameAddField  (tpsSTATGAME psGame, tpsFIELDSTT psStt);
tVOID       vStatGameAddObject (tpsSTATGAME psGame, tpsSTATGAME psAdd);
tVOID       vStatGameCalcWhole (tpsSTATGAME psGame);
tBOOL       bStatGameIsEmpty   (tpsSTATGAME psGame);
tCOUNT      cnStatGameMaxMoves (tpsSTATGAME psGame);

tpPSZ       ppzStatGameTable   (tpPSZ ppzTable, tpsSTATGAME psGame, tPSZc pzContent);


/*----------------------------------------------------------------------*/

#endif
