

/* tabcell.h */


/*------------------------------------------------------------------------
 * Module for HTML tables: single cell
 *------------------------------------------------------------------------
 */


/*----------------------------------------------------------------------*/

#ifndef TABCELL_H
#define TABCELL_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"

/*----------------------------------------------------------------------*/


typedef struct s_TABCELL *tpsTABCELL;
typedef tpsTABCELL       *tppsTABCELL;

/*---------------------------------------------*/

tpsTABCELL psTabCellCreate   (tVOID);
tpsTABCELL psTabCellDestroy  (tpsTABCELL psCell);
tpsTABCELL psTabCellMemUsage (tpsTABCELL psCell, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID      vTabCellSetText   (tpsTABCELL psCell, tPSZc pzText);
tVOID      vTabCellSetSpan   (tpsTABCELL psCell, tCOUNT cnColSpan, tCOUNT cnRowSpan);
tVOID      vTabCellSetColor  (tpsTABCELL psCell, tULONG ulColorBack, tULONG ulColorFont);
tVOID      vTabCellSetAlign  (tpsTABCELL psCell, tCHAR cAlign);
tVOID      vTabCellSetStyle  (tpsTABCELL psCell, tBOOL bBroad, tBOOL bItalic);

tpPSZ      ppzTabCellHtmlStr (tpPSZ ppzStr, tpsTABCELL psCell);


/*----------------------------------------------------------------------*/

#endif
