

/* table.h */


/*------------------------------------------------------------------------
 * Module for HTML table generation
 *------------------------------------------------------------------------
 */


/*----------------------------------------------------------------------*/

#ifndef TABLE_H
#define TABLE_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"

/*----------------------------------------------------------------------*/


typedef struct s_TABLE *tpsTABLE;
typedef tpsTABLE       *tppsTABLE;

/*---------------------------------------------*/

tpsTABLE psTableCreate         (tCOUNT cnCols, tCOUNT cnRows);
tpsTABLE psTableDestroy        (tpsTABLE psTab);
tpsTABLE psTableMemUsage       (tpsTABLE psTab, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID    vTableSetColor        (tpsTABLE psTab, tULONG ulColorBack, tULONG ulColorFont);
tVOID    vTableSetAlign        (tpsTABLE psTab, tCHAR cAlign);
tVOID    vTableSetStyle        (tpsTABLE psTab, tBOOL bBroad, tBOOL bItalic);
tVOID    vTableSetPosition     (tpsTABLE psTab, tCOUNT cnCol, tCOUNT cnRow, tBOOL bIncCol, tBOOL bIncRow);
tVOID    vTableSetNextRow      (tpsTABLE psTab, tCOUNT cnCol);
tVOID    vTableSetNextCol      (tpsTABLE psTab, tCOUNT cnRow);
tVOID    vTableSetCellText     (tpsTABLE psTab, tPSZc pzText);

tVOID    vTableExtendRow       (tpsTABLE psTab, tCOUNT cnRow);

tpPSZ    ppzTableHtmlStr       (tpPSZ ppzStr, tpsTABLE psTab);


/*----------------------------------------------------------------------*/

#endif
