

/* statstne.h */


/*------------------------------------------------------------------------
 * Solitaire field statistics: Stones
 *------------------------------------------------------------------------
 */


/*
 * StatGame[Stones]->StatStne[SymType]->StatSymm[All|Nrm]->StatTree
 *
 * Range checking is done with assert.
 */


/*----------------------------------------------------------------------*/

#ifndef STATSTNE_H
#define STATSTNE_H

/*----------------------------------------------------------------------*/

#include "mytypes.h"
#include "field.h"
#include "stattabs.h"

/*----------------------------------------------------------------------*/


typedef struct s_STATSTNE *tpsSTATSTNE;
typedef tpsSTATSTNE       *tppsSTATSTNE;

/*---------------------------------------------*/

tpsSTATSTNE psStatStneCreate   (tVOID);
tpsSTATSTNE psStatStneDestroy  (tpsSTATSTNE psStne);
tpsSTATSTNE psStatStneMemUsage (tpsSTATSTNE psStne, tpCOUNT pcnSizeof, tpCOUNT pcnBlocks);

tVOID       vStatStneAddField  (tpsSTATSTNE psStne, tpsFIELDSTT psStt);
tVOID       vStatStneAddObject (tpsSTATSTNE psStne, tpsSTATSTNE psAdd);
tVOID       vStatStneCalcWhole (tpsSTATSTNE psStne);
tBOOL       bStatStneIsEmpty   (tpsSTATSTNE psStne);
tCOUNT      cnStatStneMaxMoves (tpsSTATSTNE psStne);

tVOID       vStatStneTabSet    (tpsSTATSTNE psStne, tpsSTATTABS psTabs, tPSZc pzContent);


/*----------------------------------------------------------------------*/

#endif
